TAAS - Feature #79

Voucher Stock List
11/01/2022 03:06 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 11/01/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Voucher Stock List

Description

Coding Voucher Stock List

History

#1 - 11/15/2022 02:11 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

1) Ul Change -> Remove 1st Doc No, keep 2nd Doc no text box

2) Ul Change -> Period is mandatory. (Add red star).

#2 - 11/15/2022 02:13 PM - Junaid M
3) Change right side bar buttons to Search, Reset

#3 - 11/23/2022 10:49 AM - Junaid M

- Assignee changed from Junaid M to Aparna Mathew

#4 - 12/05/2022 05:57 PM - Aparna Mathew
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 12/13/2022 10:04 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 03/14/2023 06:02 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.Use CODE:NAME format on Branch selection box
2.Fix bugs on SI. No. (incorrect)
#7 - 03/15/2023 06:32 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 05/25/2023 06:24 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Numbers of voucher not showing on grid

(Vouchers Count)

2.Redirection problem from list to Module

( Alert -You are not authorized to access this Window.)

#9 - 05/29/2023 06:00 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 06/01/2023 06:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix bugs on voucher count -
(Used , Balance , Cancelled)

#11 - 06/02/2023 05:26 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 07/06/2023 06:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED

1.ADD EXPAND OPTION VOUCHER STOCK LIST
#13 - 07/07/2023 06:28 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 04/11/2024 01:04 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Item Package Service From Service Select Box

#15 - 04/11/2024 06:34 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 04/12/2024 11:05 AM - unnikannan S
TESTING DONE
#17 - 08/10/2024 10:45 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI CHANGES
1)ADD REFERENCE FIELD IN Ul
2)ADD ITEMS IN GRID--->SERVICE, BRANCH, SUPPLIER, REFERENCE, NARRATION, EXPIRY DATE

#18 - 08/13/2024 11:07 PM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#19 - 08/29/2024 10:27 AM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1) Used, Cancel, Balance fields not getting updated as we use vouchers from stock

#20 - 08/31/2024 01:48 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#21 - 09/11/2024 07:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#22 - 11/26/2024 06:33 PM - Theja Ponon
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

1)show "Please Select Valid Date Period" error message when todate is before from date

#23 - 11/27/2024 10:35 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 11/28/2024 02:42 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#25 - 01/02/2025 03:34 PM - Arathy PS

- Assignee changed from Aparna Mathew to Greeshma S

Files

2-tsModel.ts 1.54 KB 11/15/2022 Junaid M
1-CsModel.cs 2.15 KB 11/15/2022 Junaid M
4-CsControllerFile.cs 17.1 KB 11/15/2022 Junaid M
3-CsFile.cs 3.68 KB 11/15/2022 Junaid M
5-TsFile.ts 14.6 KB 11/15/2022 Junaid M
6-HtmlFile.html 1.94 KB 11/15/2022 Junaid M
sql.sql 6.83 KB 11/15/2022 Junaid M
